Bug 247511 - databases/pg_partman: Update to 4.4.0
Summary: databases/pg_partman: Update to 4.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://github.com/pgpartman/pg_partm...
Keywords:
Depends on:
Blocks: 247198
  Show dependency treegraph
 
Reported: 2020-06-23 19:42 UTC by Lacey Powers
Modified: 2020-06-27 14:58 UTC (History)
2 users (show)

See Also:


Attachments
pg_partman_v4.0.0_to_v4.0.0.patch (1.86 KB, patch)
2020-06-23 19:42 UTC, Lacey Powers
lacey.leanne: maintainer-approval+
Details | Diff
pg_partman_v4.0.0_to_v4.4.0.patch (1.89 KB, patch)
2020-06-24 18:49 UTC, Lacey Powers
lacey.leanne: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lacey Powers 2020-06-23 19:42:14 UTC
Created attachment 215892 [details]
pg_partman_v4.0.0_to_v4.0.0.patch

This is a patch to update pg_partman from 4.0.0 to 4.4.0.

The update builds correctly against currently supported PostgreSQL versions on currently supported FreeBSD x86_64 and i386 versions. 

Everything updates correctly as an extension in PostgreSQL in addition to the Poudriere builds.

Please let me know if further work is required here. Thank you. =)
Comment 1 Lacey Powers 2020-06-23 19:44:24 UTC
Nrgh. The patch actually updates to 4.4.0 from 4.0.0, despite what the description label says. Sorry about that. I can resubmit that if needed.
Comment 2 Fernando Apesteguía freebsd_committer 2020-06-24 06:37:27 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field

If you could upload it again and also remove PORTREVISION (no needed for it since DISTVERSION is bumped) would be great :-)
Comment 3 Lacey Powers 2020-06-24 18:48:05 UTC
(In reply to Fernando Apesteguía from comment #2)

Added the URL for the changelog for pg_partman

Revised patch with the PORTREVISION removed will be uploaded momentarily.
Comment 4 Lacey Powers 2020-06-24 18:49:25 UTC
Created attachment 215914 [details]
pg_partman_v4.0.0_to_v4.4.0.patch
Comment 5 Fernando Apesteguía freebsd_committer 2020-06-24 19:04:12 UTC
(In reply to Lacey Powers from comment #4)
Thanks!
Comment 6 Kurt Jaeger freebsd_committer 2020-06-27 09:43:57 UTC
testbuilds@work
Comment 7 Kurt Jaeger freebsd_committer 2020-06-27 14:58:18 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2020-06-27 14:58:52 UTC
A commit references this bug:

Author: pi
Date: Sat Jun 27 14:58:11 UTC 2020
New revision: 540613
URL: https://svnweb.freebsd.org/changeset/ports/540613

Log:
  databases/pg_partman: update 4.0.0 -> 4.4.0

  PR:		247511
  Submitted by:	Lacey Powers <lacey.leanne@gmail.com> (maintainer)
  Relnotes:	https://github.com/pgpartman/pg_partman/blob/master/CHANGELOG.txt

Changes:
  head/databases/pg_partman/Makefile
  head/databases/pg_partman/distinfo
  head/databases/pg_partman/pkg-plist